• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Configuration/SaveDiaryViewEntity

Some tooltip text!
• 3 minutes to read
 • 3 minutes to read
POST /api/v1/Agents/Configuration/SaveDiaryViewEntity

Updates the existing DiaryViewEntity or creates a new DiaryViewEntity if the id parameter is 0.

NsApiSlow threshold: 5000 ms.

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: diaryViewEntity

The DiaryViewEntity that is saved

Property Name Type Description
DiaryViewId Integer
Name String
Tooltip String
VisibleColumns Integer
Rank Integer
AssocId Integer
AssociateList Array
TzLocationId Integer

Response:

OK

Response Description
200 OK

Response body: TimeZoneData

Property Name Type Description
DiaryViewId int32
Name string
Tooltip string
VisibleColumns int32
Rank int32
AssocId int32
AssociateList array
TzLocationId int32
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

POST /api/v1/Agents/Configuration/SaveDiaryViewEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8

{
  "DiaryViewId": 486,
  "Name": "McLaughlin-Parisian",
  "Tooltip": "asperiores",
  "VisibleColumns": 190,
  "Rank": 31,
  "AssocId": 821,
  "AssociateList": [
    {
      "Id": 175,
      "Name": "Stoltenberg Inc and Sons",
      "ToolTip": "Fugiat dolore aut sit minus maxime dolorem adipisci.",
      "Deleted": false,
      "Rank": 759,
      "Type": "magni",
      "ColorBlock": 446,
      "IconHint": "hic",
      "Selected": false,
      "LastChanged": "2023-06-22T10:10:59.3019914+02:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "quas",
      "StyleHint": "eius",
      "Hidden": false,
      "FullName": "Prof. Davion Grimes IV"
    }
  ],
  "TzLocationId": 865
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "DiaryViewId": 1,
  "Name": "Week View",
  "Tooltip": "Display appointments in weekly calendar view",
  "VisibleColumns": 7,
  "Rank": 1,
  "AssocId": 143,
  "AssociateList": [
    {
      "Id": 143,
      "Name": "Sarah Johnson",
      "ToolTip": "Customer Support Agent - Available",
      "Deleted": false,
      "Rank": 1,
      "Type": "Associate",
      "ColorBlock": 2,
      "IconHint": "user",
      "Selected": true,
      "LastChanged": "2024-11-15T14:30:00+01:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "sarah.johnson@acme.com",
      "StyleHint": "available",
      "Hidden": false,
      "FullName": "Sarah Johnson",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 389
        }
      }
    }
  ],
  "TzLocationId": 1,
  "TableRight": null,
  "FieldProperties": {
    "fieldName": {
      "FieldRight": null,
      "FieldType": "System.String",
      "FieldLength": 212
    }
  }
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top